Skip to main content
Version: 1.6.0

Sr25519 - Create a new key share (before MPC keygen)

GET 

/sr25519/create

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager

Setup a new Sr25519 key share (before MPC keygen) for the authenticated user. All parties must call this function before calling keygen. The returned keygen_id must be sent through an authenticated communication channel to all other devices we wish to perform keygen with. Once we have the keygen_id-s of all parties, then /sr25519/keygen can be called with the same key_id as was given here.

Request

Query Parameters

    key_name stringnull

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Responses

Schema

    key_idstringrequired
    key_namestring | nullnullable
    keygen_idstringrequired